Subject: bug#22289: 24.3; Emacs crashes on loading file

From: Alex Burr <[email-masked]>
Date: Sat, 2 Jan 2016 14:29:23 +0000 (UTC)

Yes, it seems to have been compiled with imagemagick support. I don't have 14Gb of ram :-)So, the problem is then that this is not any kind of image. It's a text file (actually a
program for http://art.kano.me, which expects coffeescript). If I run: 
 convert Identify nelson.artimagemagick tells me that I have a 26708x29472 1-bit ART image, which explains the problem!
It loads normally if I rename the file not to have the .art suffix. So I can solve my immediate problem.

It's not clear to me whether imagemagick is making a real mistake here. it doesn't seemto do any significant checking on the image header: https://github.com/ImageMagick/ImageMagick/blob/7ce65e7125a4e1df1a274ce373c537a9df9c16cd/coders/art.cHowever these old formats often didn't include any redundancy anyway.
However it does seem like any filename ending in .art is a bit dangerous for emacs at the moment.
Alex

      From: Eli Zaretskii <[email-masked]>
 To: Lars Magne Ingebrigtsen <[email-masked]> 
Cc: [email-masked]; [email-masked]
 Sent: Saturday, January 2, 2016 8:26 AM
 Subject: Re: bug#22289: 24.3; Emacs crashes on loading file
   
> From: Lars Magne Ingebrigtsen <[email-masked]>
> Date: Sat, 02 Jan 2016 03:57:17 +0100
> Cc: [email-masked]
> 
> Alex Burr <[email-masked]> writes:
> 
> > 1) loaded attached file 'nelson.art' with ctrl-x f
> > 2) emacs then proceeded to malloc all core, causing linux to grind to a halt.
> 
> If I save the image to a file and then use "display" to display it, my
> machine grinds to a halt for 15 seconds, and then display says it can't
> display it...
> 
> Could be an imagemagick bug of some kind...

Alex, was your Emacs compiled with Imagemagick support?  Mine wasn't,
so visiting that file does nothing special.